Subject: Can't run preview latex after deleting prv files

From: Berthold Lorke <[email-masked]>
Date: Thu, 06 Jun 2019 15:16:38 +0200

When running preview latex the first time on a document, everything is
fine.
But then when I delete the created folder _region_.prv and the files
_region_.log, prv_test.fmt, prv_test.log and _region_.tex, I can not run
preview latex (say with C-c C-p C-b)  anymore, it gives me the following
error

Running `Preview-LaTeX' on `~/junk/_region_' with ``lualatex  -interaction=nonstopmode -file-line-error \&prv_test "/AUCTEXINPUT{" _region_.tex "}"''
This is LuaTeX, Version 1.07.0 (TeX Live 2018/Arch Linux) 
 restricted system commands enabled.

kpathsea: Running mktexfmt prv_test.fmt
mktexfmt: mktexfmt is using the following fmtutil.cnf files (in precedence order):
mktexfmt:   /etc/texmf/web2c/fmtutil.cnf
mktexfmt: mktexfmt is using the following fmtutil.cnf file for writing changes:
mktexfmt:   /home/berber/.texlive/texmf-config/web2c/fmtutil.cnf
mktexfmt [INFO]: writing formats under /home/berber/.texlive/texmf-var/web2c
mktexfmt [INFO]: did not find entry for byfmt=prv_test, skipped
mktexfmt [INFO]: Disabled formats: 6
mktexfmt [INFO]: Not selected formats: 36
mktexfmt [INFO]: Total formats: 42
mktexfmt [INFO]: exiting with status 0
Sorry, I can't find the format `prv_test.fmt'; will try `prv_test.fmt'.

kpathsea: Running mktexfmt prv_test.fmt
mktexfmt: mktexfmt is using the following fmtutil.cnf files (in precedence order):
mktexfmt:   /etc/texmf/web2c/fmtutil.cnf
mktexfmt: mktexfmt is using the following fmtutil.cnf file for writing changes:
mktexfmt:   /home/berber/.texlive/texmf-config/web2c/fmtutil.cnf
mktexfmt [INFO]: writing formats under /home/berber/.texlive/texmf-var/web2c
mktexfmt [INFO]: did not find entry for byfmt=prv_test, skipped
mktexfmt [INFO]: Disabled formats: 6
mktexfmt [INFO]: Not selected formats: 36
mktexfmt [INFO]: Total formats: 42
mktexfmt [INFO]: exiting with status 0
I can't find the format file `prv_test.fmt'!

TeX Output exited as expected with code 1 at Mon Jun  3 16:17:28
LaTeX: LaTeX found no preview images

Also see
https://emacs.stackexchange.com/questions/50829/preview-latex-doesnt-work-when-i-delete-the-region-prv-folder

I want it to be as if I never ran preview latex, so that I can run it
again.
There must be some entry in some other file that gets created that I
have to remove.

Emacs  : GNU Emacs 26.2 (build 1, x86_64-pc-linux-gnu, GTK+ Version 3.24.8)
 of 2019-04-12
Package: 12.1.2

current state:
==============
(setq
 AUCTeX-date "2019-02-08"
 window-system 'x
 LaTeX-version "2e"
 TeX-style-path '("~/.emacs.d/auctex" "/tmp/.emacs.d/elpa/auctex-12.1.2/style"
		  "/tmp/.emacs.d/auctex/auto" "/tmp/.emacs.d/auctex/style"
		  "auto" "style")
 TeX-auto-save nil
 TeX-parse-self nil
 TeX-master t
 TeX-command-list '(("TeX"
		     "%(PDF)%(tex) %(file-line-error) %`%(extraopts) %S%(PDFout)%(mode)%' %t"
		     TeX-run-TeX nil
		     (plain-tex-mode ams-tex-mode texinfo-mode) :help
		     "Run plain TeX")
		    ("LaTeX" "%`%l%(mode)%' %T" TeX-run-TeX nil
		     (latex-mode doctex-mode) :help "Run LaTeX")
		    ("Makeinfo" "makeinfo %(extraopts) %t" TeX-run-compile nil
		     (texinfo-mode) :help "Run Makeinfo with Info output")
		    ("Makeinfo HTML" "makeinfo %(extraopts) --html %t"
		     TeX-run-compile nil (texinfo-mode) :help
		     "Run Makeinfo with HTML output")
		    ("AmSTeX" "amstex %(PDFout) %`%(extraopts) %S%(mode)%' %t"
		     TeX-run-TeX nil (ams-tex-mode) :help "Run AMSTeX")
		    ("ConTeXt"
		     "%(cntxcom) --once --texutil %(extraopts) %(execopts)%t"
		     TeX-run-TeX nil (context-mode) :help "Run ConTeXt once")
		    ("ConTeXt Full" "%(cntxcom) %(extraopts) %(execopts)%t"
		     TeX-run-TeX nil (context-mode) :help
		     "Run ConTeXt until completion")
		    ("BibTeX" "bibtex %s" TeX-run-BibTeX nil t :help
		     "Run BibTeX")
		    ("Biber" "biber %s" TeX-run-Biber nil t :help "Run Biber")
		    ("View" "%V" TeX-run-discard-or-function t t :help
		     "Run Viewer")
		    ("Print" "%p" TeX-run-command t t :help "Print the file")
		    ("Queue" "%q" TeX-run-background nil t :help
		     "View the printer queue" :visible TeX-queue-command)
		    ("File" "%(o?)dvips %d -o %f " TeX-run-dvips t t :help
		     "Generate PostScript file")
		    ("Dvips" "%(o?)dvips %d -o %f " TeX-run-dvips nil t :help
		     "Convert DVI file to PostScript")
		    ("Dvipdfmx" "dvipdfmx %d" TeX-run-dvipdfmx nil t :help
		     "Convert DVI file to PDF with dvipdfmx")
		    ("Ps2pdf" "ps2pdf %f" TeX-run-ps2pdf nil t :help
		     "Convert PostScript file to PDF")
		    ("Glossaries" "makeglossaries %s" TeX-run-command nil t
		     :help "Run makeglossaries to create glossary file")
		    ("Index" "makeindex %s" TeX-run-index nil t :help
		     "Run makeindex to create index file")
		    ("upMendex" "upmendex %s" TeX-run-index t t :help
		     "Run upmendex to create index file")
		    ("Xindy" "texindy %s" TeX-run-command nil t :help
		     "Run xindy to create index file")
		    ("Check" "lacheck %s" TeX-run-compile nil (latex-mode)
		     :help "Check LaTeX file for correctness")
		    ("ChkTeX" "chktex -v6 %s" TeX-run-compile nil (latex-mode)
		     :help "Check LaTeX file for common mistakes")
		    ("Spell" "(TeX-ispell-document \"\")" TeX-run-function nil
		     t :help "Spell-check the document")
		    ("Clean" "TeX-clean" TeX-run-function nil t :help
		     "Delete generated intermediate files")
		    ("Clean All" "(TeX-clean t)" TeX-run-function nil t :help
		     "Delete generated intermediate and output files")
		    ("Other" "" TeX-run-command t t :help
		     "Run an arbitrary command")
		    )
 )